Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
-  package xml
  Definition Classes
    parser
- BracePair
- BracePatch
- Change
- CommonTokens
- Deletion
- Insertion
- MarkupParsers
- Parsers
- ParsersCommon
- Patch
- Scanners
- ScannersCommon
- SymbolicXMLBuilder
- SyntaxAnalyzer
- Tokens
- TreeBuilder

t

scala.tools.nsc.ast.parser

# MarkupParsers 

###

#### trait MarkupParsers extends AnyRef

Self Type
  Parsers
Source
  MarkupParsers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
CaseParser, ForEnumeratorParser, Parser, PatternParser, TermParser, TypeParser, Parsers, SyntaxAnalyzer, ScaladocSyntaxAnalyzer
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MarkupParsers
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class MarkupParser extends MarkupParserCommon

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MarkupParsers to any2stringadd[MarkupParsers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MarkupParsers, B)
   Implicit
     This member is added by an implicit conversion from MarkupParsers to ArrowAssoc[MarkupParsers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (MarkupParsers) ⇒ Boolean, msg: ⇒ Any): MarkupParsers
   Implicit
     This member is added by an implicit conversion from MarkupParsers to Ensuring[MarkupParsers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (MarkupParsers) ⇒ Boolean): MarkupParsers
   Implicit
     This member is added by an implicit conversion from MarkupParsers to Ensuring[MarkupParsers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): MarkupParsers
    Implicit
      This member is added by an implicit conversion from MarkupParsers to Ensuring[MarkupParsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): MarkupParsers
    Implicit
      This member is added by an implicit conversion from MarkupParsers to Ensuring[MarkupParsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MarkupParsers to StringFormat[MarkupParsers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  def →[B](y: B): (MarkupParsers, B)
    Implicit
      This member is added by an implicit conversion from MarkupParsers to ArrowAssoc[MarkupParsers] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
28.  object ConfusedAboutBracesControl extends Throwable with ControlThrowable with Product with Serializable
29.  object MissingEndTagControl extends Throwable with ControlThrowable with Product with Serializable
30.  object TruncatedXMLControl extends Throwable with ControlThrowable with Product with Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MarkupParsers to any2stringadd[MarkupParsers]

### Inherited by implicit conversion StringFormat from MarkupParsers to StringFormat[MarkupParsers]

### Inherited by implicit conversion Ensuring from MarkupParsers to Ensuring[MarkupParsers]

### Inherited by implicit conversion ArrowAssoc from MarkupParsers to ArrowAssoc[MarkupParsers]

### Ungrouped